/********************************************************************
 CRawText.h

   Header file for the Raw text
********************************************************************/

#define _H_CRawText

	// Forward declarations

class CRawText : public CPane {

private:
	short	font;
	Style 	style;
	short	size;
	short   justification;
	Point	TextPosn;
	short	textWidth;
	Str255	itsText;

public:
	void	IRawText(CView *anEnclosure,  CBureaucrat *aSupervisor,
                           ConstStr255Param theText, short Hencl, short Vencl,
                           short iWidth, short iHeight,
                           short afont,  Style astyle, short asize,
                           short ajustification);
    void	Draw(Rect *area);
    void	SetText(ConstStr255Param newText, short just);
    virtual void	PutValue(long value);
    void	JustifyText(short just);
    void	SetTextFont(short afont, short asize, Style astyle);
    void	DoClick(Point hitPt, short modifierKeys, long when);
};

class CTimeText : public CRawText {

public:
	void	ITimeText(CView *anEnclosure,  CBureaucrat *aSupervisor,
                           ConstStr255Param theText, short Hencl, short Vencl,
                           short iWidth, short iHeight,
                           short afont,  Style astyle, short asize,
                           short ajustification);
    void	PutValue(long value);
};